/*-
 * Copyright (c) 2011 Philip Schulz <phs@deadc0.de>
 *
 * Permission to use, copy, modify, and distribute this software for any purpose
 * with or without fee is hereby granted, provided that the above copyright
 * notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef __GLX_ISAB_H
#define __GLX_ISAB_H

/*******************************************************************************
 *
 * Definitions
 *
 ******************************************************************************/
#define GLXISAB_NAME    "isab"

/* Our own version */
#define GLXISAB_VERSION 1

typedef struct glxisab_softc {
    struct mtx              glxisab_lock;
    struct resource_list    resources;
    device_t                device;
    device_t                isa;
} glxisab_softc_t;

#define DEV2GLXISAB(dev) ((glxisab_softc_t *)device_get_softc(dev))

#endif /* !__GLX_ISAB_H */

